import { OnInit } from '@angular/core';
import { NoteService } from '../note.service';
import { MatDialog } from '@angular/material/dialog';
import { TechlifyListingControllerInterface } from '../../base-model';
import { AlertService } from "../../core";
import * as i0 from "@angular/core";
export declare class NoteListComponent extends TechlifyListingControllerInterface implements OnInit {
    private noteService;
    private dialog;
    private alertService;
    relatedModelId: any;
    modelType: any;
    readonly: boolean;
    labelText: string;
    commentsView: boolean;
    viewMode: 'list' | 'timeline';
    filters: any;
    displayedColumns: string[];
    note: any;
    isSaving: boolean;
    total: number;
    constructor(noteService: NoteService, dialog: MatDialog, alertService: AlertService);
    ngOnInit(): void;
    loadData(): void;
    addNote(): void;
    editNote(note: any): void;
    deleteNote(note: any): Promise<void>;
    commentAction(event: any): void;
    editComment(comment: any): Promise<void>;
    addComment(comment: any): Promise<void>;
    saveNote(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NoteListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NoteListComponent, "app-note-list", never, { "relatedModelId": { "alias": "relatedModelId"; "required": false; }; "modelType": { "alias": "modelType"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "labelText": { "alias": "labelText"; "required": false; }; "commentsView": { "alias": "commentsView"; "required": false; }; "viewMode": { "alias": "viewMode"; "required": false; }; }, {}, never, never, false, never>;
}
